<?php
function __autoload($nombre){
	$nombre = strtolower($nombre);
	$archivo = dirname(__FILE__).'/class/class.'.$nombre.'.php';
	if(file_exists($archivo)) {
		include_once($archivo);
	}
}
function conectarDB(){
	// include_once(dirname(__FILE__).'/libs/adodb/adodb-exceptions.inc.php');
	include_once(dirname(__FILE__).'/libs/adodb/adodb.inc.php');
	$db = NewADOConnection(DB_DRIVER);
	$db->Connect(DB_SERVER, DB_USER, DB_PASS, DB_NAME);
	$db->query('SET character_set_database=UTF8');
	$db->query('SET character_set_client=UTF8');
	$db->query('SET character_set_connection=UTF8');
	$db->query('SET character_set_results=UTF8');
	$db->query('SET character_set_server=UTF8');
	$db->query('SET names UTF8');
	$db->query('SET names UTF8');
	$db->ADODB_LANG = 'es';
	$db->debug = DB_DEBUG;
	// Comentar las siguientes dos lineas para obtener ambas asociaciones
	// $ADODB_FETCH_MODE = ADODB_FETCH_NUM;
	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
	return $db;
}
function texToUrl($text){
	$text = str_replace(array('Á','á','É','é','Í','í','Ó','ó','Ú','ú','Ñ','ñ',' '),array('A','a','E','e','I','i','O','o','U','u','N','n','-'),$text);
	return preg_replace('([^A-Za-z0-9_\-])','', strtolower(trim($text)));
}
function imprimir($text){
	$text = utf8_encode($text);
	$text = str_replace(array('Á','á','É','é','Í','í','Ó','ó','Ú','ú','Ñ','ñ'),
		array('&Aacute;','&aacute;','&Eacute;','&eacute;','&Iacute;','&iacute;','&Oacute;','&oacute;','&Uacute;','&uacute;','&Ntilde;','&ntilde;'), $text);
	return $text;
}
function antiCacheUrl($url){
	$parse_url=parse_url($url);
	if(!empty($parse_url['query']))
		return $url."&".uniqid('acu=');
	else
		return $url."?".uniqid('acu=');
}
function acu_src($contenido){
	if(empty($contenido))
		return false;
	//compruebo que sea una url valida
	preg_match_all('#[\/?[a-z0-9\-]+]*\/[a-z0-9\-\_]+\.[a-z]{2,4}#',$contenido,$res);
	foreach($res[0] as $url)
		$contenido=str_replace($url,antiCacheUrl(base.$url),$contenido);
	return $contenido;
}
function include_php($archivo) {
	if(file_exists($archivo) && is_file($archivo)) {
		ob_start();
		include $archivo;
		return ob_get_clean();
	}
	return false;
}
function include_fragmento($archivo) {
	$archivo = dirPlantilla.'fragmento.'.$archivo.'.php';
	if(file_exists($archivo) && is_file($archivo)) {
		ob_start();
		include $archivo;
		return ob_get_clean();
	}
	return false;
}
function googleAnalitycs($codigo,$estado=false){
	if($estado){
		$script = '<script type="text/javascript">var _gaq=_gaq |[];_gaq.push([\'_setAccount\',\'{CODIGO}\']);_gaq.push([\'_trackPageview\']);(function(){var ga=document.createElement(\'script\');ga.type=\'text/javascript\';ga.async=true;ga.src=(\'https:\'==document.location.protocol?\'https://ssl\':\'http://www\')+\'.google-analytics.com/ga.js\';var s=document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(ga,s);})();</script>';
		return str_replace('{CODIGO}', $codigo, $script);
	}
	return null;
}
?>